import { r as registerInstance, h } from './index-b13326fc.js';

const ElementHeaderEditor = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    prop(path, options = {}) {
        return this.handler.prop(path, Object.assign({}, options));
    }
    render() {
        return [
            h("bce-input", Object.assign({}, this.prop('text', { localize: true }), { placeholder: this.t('me-element-header-placeholder'), type: "text" })),
            h("slot", null)
        ];
    }
};

export { ElementHeaderEditor as bce_element_header_editor };
